Subject: Re: CCL:using DOCK without sybil

From: Jerry Ebalunode <jebalunode(at)UH.EDU>
Date: Mon, 02 Feb 2004 16:46:14 -0600

if you are using DOCK version 4, you definitely need to set the substructure 
record for each ligand molecule entry in your mol2 file. To get this done 
automatically, I modified a version of the OELIB program from openeye 
scientific. You need to modify the mol2.cpp file in oelib source codes to 
automate this changes. If you are running your babel conversion calculations 
on a pentium4 linux station, I could send you a copy of the oelib binary, 
since this under  GPL. Note openbabel is a succesor of oelib.

On Monday 02 February 2004 06:53 am, Alex Sutcliffe wrote:
> Hi CCLers,
>
> I would like to use DOCK but don't have access to sybil. In order to
> convert my molecules to mol2 format I had hoped to use openbabel to do a
> simple conversion, however GRID gave me this:
>
> Improper ATOM record substructure id for ***** in ./mymolecule.mol2
>
> I do have an example of a molecule in mol2 format that is acceptable which
> I intend to compare with mymolecule with but I just thought that someone
> else had probably been down this road already.
>
> Any much appreciated!
>
> Alex Sutcliffe
>
>
>
> -= This is automatically added to each message by the mailing script =-
> To send e-mail to subscribers of CCL put the string CCL: on your Subject:
> line and send your message to:  CHEMISTRY(at)ccl.net
>
> Send your subscription/unsubscription requests to:
> CHEMISTRY-REQUEST(at)ccl.net HOME Page: http://www.ccl.net   | Jobs Page:
> http://www.ccl.net/jobs
>
> If your mail is bouncing from CCL.NET domain send it to the maintainer:
> Jan Labanowski,  jlabanow(at)nd.edu (read about it on CCL Home Page)
> -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

-- 
Cheers,

Jerry Ebalunode
Graduate Research Assistant
RM 402F Houston Science Center
Phone: 713-743-8367
Dept. of Biology and Biochemistry
University of Houston
4800 Calhoun Road
Houston, TX 77204

---

From: Jerry Ebalunode <jebalunode:at:UH.EDU>
Date: Mon, 02 Feb 2004 18:56:49 -0600

First of all this works with Oelib source code, which is a C++ source code.  I 
haven't attempted  this on the Babel  since it is coded in C. You could get 
Oelib for free at openeye scientific site at
ftp://ftp.eyesopen.com/pub/oelib/oelib.tgz

the C++ source file to modify is mol2.cpp
You need to modify lines 204 to reflect recording of the number of 
substructures for each ligand in the mol2 database in this case I use 1 
following the example decribed somewhere in the dock manual.

Then on line 276 the additional lines  provides  the actual substructure entry 
required by DOCK4. However note that for DOCK5 you could still do your  
docking  without any of these entries  to your database mol2 file.

here is the "diff" between the old and modified mol2.cpp, it should be 
sufficient. The changes apply to the write section of mol2.cpp. 

204c204
<     sprintf(buffer, " %d %d 0 0 0", mol.NumAtoms(), mol.NumBonds());
---
>     sprintf(buffer, " %d %d 1 0 0", mol.NumAtoms(), mol.NumBonds());
276c276,277
<
---
>      ofs << "@<TRIPOS>SUBSTRUCTURE" << oeendl;
>     ofs << "    1 ****       1 TEMP            0 ****  **** 0 ROOT " << 
oeendl;

On Monday 02 February 2004 06:02 pm, Kim Branson wrote:
> hi jerry,
>
> i'd be keen to add this to babel. can you post your changes or make a
> patch file?
> cheers
>
> Kim
>
> On 03/02/2004, at 9:46 AM, Jerry Ebalunode wrote:
> > > convert my molecules to mol2 format I had hoped to use openbabel to
> >
> > do a
> >
> > > I do have an example of a molecule in mol2 format that is acceptable
> >
> > which
> >
> > > I intend to compare with mymolecule with but I just thought that
> >
> > someone
> >
> > > To send e-mail to subscribers of CCL put the string CCL: on your
> >
> > Subject:
> > > CHEMISTRY-REQUEST:at:ccl.net HOME Page:http://www.ccl.net   | Jobs Page:
> > >http://www.ccl.net/jobs
> >
> > --
> > Cheers,
> >
> > Jerry Ebalunode
> > To send e-mail to subscribers of CCL put the string CCL: on your
> > Subject: line
> > and send your message to:  CHEMISTRY/at/ccl.net
> >
> > CHEMISTRY-REQUEST/at/ccl.net
> > HOME Page:http://www.ccl.net   | Jobs Page:http://www.ccl.net/jobs
> >
> > Jan Labanowski,  jlabanow/at/nd.edu (read about it on CCL Home Page)

-- 
Cheers,

Jerry Ebalunode
University of Houston.
4800 Calhoun Road
Houston, TX 77204